Package com.artofsolving.jodconverter

# Class DefaultDocumentFormatRegistry

java.lang.Object
com.artofsolving.jodconverter.BasicDocumentFormatRegistry
com.artofsolving.jodconverter.DefaultDocumentFormatRegistry

All Implemented Interfaces:
  `DocumentFormatRegistry`

public class DefaultDocumentFormatRegistry extends BasicDocumentFormatRegistry

## Constructor Summary

Constructors
Constructor
Description
`DefaultDocumentFormatRegistry()`

## Method Summary

### Methods inherited from class com.artofsolving.jodconverter.BasicDocumentFormatRegistry

`addDocumentFormat, getDocumentFormats, getFormatByFileExtension, getFormatByMimeType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultDocumentFormatRegistry

public DefaultDocumentFormatRegistry()